package org.bayread.ckspecial.bean;

import com.bayread.ckspecial.db.annotation.Column;
import com.bayread.ckspecial.db.annotation.Table;
import lombok.Data;

import java.util.*;

@Table("type_test") //表名
@Data
public class ComplexType {
	@Column("dev_ip")	//重定义字段名
	private String devip;

	private List<Integer> location;   //Array类型

	private Map<Integer,String> meminfo;  //Map类型
	public String day;  //Clickhouse Date类型可以直接用Java的String类型
	public Integer hour;
	public Integer minute;
}
