package org.bayread.ckspecial.bean;

import com.bayread.ckspecial.db.annotation.Table;

@Table(value = "log_items")
public class LogItem {
    public Integer typeid; //0-255
    public  Integer resulttype;  //0-255
    public Integer adnetwork; //0-255
    public String bidid;
    public Long timestamp;
    public String ip;
    public Integer os; //0-255
    public String userid;
    public String preferdealid;
    public String schedulingid;
    public Integer dc; //0-255
    public Integer channelid; //0-255
    public String mediaid;
    public String placeid;
    public Integer genderid; //0-255
    public Integer ageid; //0-255
    public Integer citycode;
    public Integer advertiserid;
    public Integer campaignid;
    public Integer groupid;
    public Integer adid;
    public Integer creativeid;
    public Integer price;
    public Integer agentprice;
    public  Integer bidprice;
    public String day;
    public Integer hour; //0-255
    public Integer minute; //0-255

    @Override
    public String toString() {
        return "LogItem{" +
                "typeid=" + typeid +
                ", resulttype=" + resulttype +
                ", adnetwork=" + adnetwork +
                ", bidid='" + bidid + '\'' +
                ", timestamp=" + timestamp +
                ", ip='" + ip + '\'' +
                ", os=" + os +
                ", userid='" + userid + '\'' +
                ", preferdealid='" + preferdealid + '\'' +
                ", schedulingid='" + schedulingid + '\'' +
                ", dc=" + dc +
                ", channelid=" + channelid +
                ", mediaid='" + mediaid + '\'' +
                ", placeid='" + placeid + '\'' +
                ", genderid=" + genderid +
                ", ageid=" + ageid +
                ", citycode=" + citycode +
                ", advertiserid=" + advertiserid +
                ", campaignid=" + campaignid +
                ", groupid=" + groupid +
                ", adid=" + adid +
                ", creativeid=" + creativeid +
                ", price=" + price +
                ", agentprice=" + agentprice +
                ", bidprice=" + bidprice +
                ", day=" + day +
                ", hour=" + hour +
                ", minute=" + minute +
                '}';
    }
}